petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatGetNullSpace

retrieves the null space of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNullSpace(Mat mat, MatNullSpace *nullsp)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix
| nullsp | - the null space object

### See Also

MatCreate(), MatNullSpaceCreate(), MatSetNearNullSpace(), MatSetNullSpace()

### Level

developer

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex62.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages